﻿body {
    padding: 0px;
    margin: 0px;
    background-color: #eee;
}

.body {
    position: absolute;
    padding: 5px;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

/* белые блоки на сером фоне */
.indiv-container {
    background-color: white;
    padding: 5px 10px 10px 10px;
    margin: 5px;
    /*overflow-y: auto;
    overflow-x: hidden; commented due to header popup menu issue */
    height: auto;
    min-height: 50px;
    /* тень по правой границе */
    border-right: 1px solid lightgrey;
    -webkit-box-shadow: 3px 0px 8px -3px rgba(0,0,0,0.2);
    -moz-box-shadow: 3px 0px 8px -3px rgba(0,0,0,0.2);
    box-shadow: 3px 0px 8px -3px rgba(0,0,0,0.2);
}

.indiv-container .collapsed-arrow {
    margin: 0 1px;
}


.indiv-container .collapsed-reload {
    font-weight: bold;
    float: right;
    margin: 0 5px;
}


.indiv-container-title {
    position:absolute;
    top: 10px;
    left: 15px;
}
.indiv-container-title.fixed {
    position:relative;
}

.indiv-container-title > span {
	font: 24px/1.5 arial;
	margin-left: 15px;
	/* line-height: 1.5; */
}



/* HEADER */

.head {
    height: 50px;
    /*overflow: hidden;*/
}

    .head #brand {
        overflow: hidden;
        width: 230px;
        float: left;
    }

    .head #logo {
        width: 90px;
    }

    .head #title {
        margin-top: 30px;
        margin-left: 30px;
        color: #E2000F;
        font: 18px calibri;
        cursor: default;
    }

    .head #search {
        overflow: hidden;
    }

.head #breadcrumbs {
    overflow: hidden;
}

.breadcrumb > li + li::before {
    content: "\ff1e\00a0";
}


.head #login {
    padding: 3px;
    padding-left: 10px;
    float: right;
}


.head img.customLogo {
    max-height: 20px;
    max-width: 50px;
}

span.customLogo {
    font: 18px calibri;
    font-weight: bold;
    display: block;
}

.bottom {
    height: 30px !important;
    margin-left: 70px;
    margin-top: 10px;
}
.search-input-group {
    margin-top: 3px;
}

.search-input-group .input-group-addon{
    background: white !important; 
}
.search-input-group .form-control{
	border-right:0; 
	box-shadow:0 0 0; 
	border-color:#ccc;
}
.search-input-group button{
    border:0;
    background:transparent;
}

/* HEADER - END */


/* MAIN CONTENT - START */

/*контент, требующий замены*/
.content {
    overflow-y: auto;
    overflow-x: hidden;
    height: 85%;
}

/*контент не заменяемый*/
.content-static {
    overflow-y: auto;
    overflow-x: hidden;
}

/* MAIN CONTENT - END */


.tab-content {
	/*height: auto;
    min-height:100px;*/
	border-top: 1px solid lightgrey;
    margin-top: 50px;
}
.tab-content-left {
	border-top: none;
    margin-top: 0px;
}

.tabs {
    width:100%;
}

#indiv-data-table-container {
    padding: 10px 0px 10px 10px;
}

/* bootstrap table border-top fix */
.table > tbody > tr:first-child > th {
    border: none;
}

    
/* small cursor fix */
.input-group-addon {
    cursor: pointer;
}

/* data enter */
.current-data-enter, .current-data-enter:hover {
    background-color: antiquewhite !important;
}
/*.hover-vertical:hover {
    background-color: #f5f5f5;
}*/
.data.selected {
    border: 1px solid red !important;
    box-shadow: inset 0 0 0 1px red !important;
}
span.data-tooltip, .monitoring-tooltip {
      position: absolute;
      /*margin-top: 1px;*/
      padding: 5px 10px 5px 10px;
      font: 12px/20px verdana;
      background: #FFF5EE;
      border: 4px solid #FFF5EE;
      border-radius: 5px;
      box-shadow: rgba(0, 0, 0, 0.5) 1px 1px 5px 0px;
      z-index: 9000;
      display: none;
}
span.data-tooltip:after, .monitoring-tooltip:after {
      content: "";
      position: absolute;
      width: 0;
      height: 0;
      border-width: 10px;
      border-style: solid;
      border-color: transparent transparent #FFF5EE transparent;
      top: -22px;
      left: 5px;
      z-index: 9000;
}
.monitoring-tooltip {
    margin-top: 20px;
}

/* кнопка сортировки в заголовках столбцов таблиц */
thead th .sortable {
    cursor: pointer;
    background-position: right;
    background-repeat: no-repeat;
    padding-right: 30px;
}
thead th .both {
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAATCAQAAADYWf5HAAAAkElEQVQoz7X QMQ5AQBCF4dWQSJxC5wwax1Cq1e7BAdxD5SL+Tq/QCM1oNiJidwox0355mXnG/DrEtIQ6azioNZQxI0ykPhTQIwhCR+BmBYtlK7kLJYwWCcJA9M4qdrZrd8pPjZWPtOqdRQy320YSV17OatFC4euts6z39GYMKRPCTKY9UnPQ6P+GtMRfGtPnBCiqhAeJPmkqAAAAAElFTkSuQmCC');
}
thead th .asc {
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAATCAYAAAByUDbMAAAAZ0lEQVQ4y2NgGLKgquEuFxBPAGI2ahhWCsS/gDibUoO0gPgxEP8H4ttArEyuQYxAPBdqEAxPBImTY5gjEL9DM+wTENuQahAvEO9DMwiGdwAxOymGJQLxTyD+jgWDxCMZRsEoGAVoAADeemwtPcZI2wAAAABJRU5ErkJggg==');
}
thead th .desc {
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABMAAAATCAYAAAByUDbMAAAAZUlEQVQ4y2NgGAWjYBSggaqGu5FA/BOIv2PBIPFEUgxjB+IdQPwfC94HxLykus4GiD+hGfQOiB3J8SojEE9EM2wuSJzcsFMG4ttQgx4DsRalkZENxL+AuJQaMcsGxBOAmGvopk8AVz1sLZgg0bsAAAAASUVORK5CYII= ');
}


.outer {
max-height: 200px;
overflow: auto;
}
.inner {
height: auto;
width: auto;
}
thead {
position: absolute;
top: -30px;
left: 0px;
width: 100%;
}
.indiv-data-table-container {
clear: both;
position: relative;
margin-top: 50px;
}


/* позволяет закрыть загружающееся всплывающее окно */
.w2ui-popup .w2ui-lock {
    top: 30px
}
span#loader {
    padding: 32px;
    background: url('/Content/img/loading-bar.gif') no-repeat;
    margin: 10px;
    position: fixed;
}

/* хлебные крошки */
#breadcrumbs {
	padding-top: 2px;
}

.breadcrumb {
    cursor: default;
}

.breadcrumb-item span {
    cursor: pointer;
    color: steelblue;
    text-decoration: underline;
}

.breadcrumb-item.active span {
    cursor: default;
    text-decoration: none;
    color: gray;
}

.breadcrumb-item:not(.active) span:hover {
    text-decoration: none;
}

/* хлебные крошки - в две строки */
#breadcrumbs.two-lines {
	padding-top: 0px;
}

#breadcrumbs.two-lines ol {
    padding: 0px;
	padding-left: 15px;
	height: 40px;
}

/* scary alert */
#confirmText2 {
    color: red;
}

.grid-container {
    width: 100%;
    height: 400px;
}

.tab {
    width: 100%;
    height: 100%;
    border: 1px solid silver;
    border-top: 0px;
    display: none;
    padding: 10px;
    overflow: auto;
}

/* фикс кнопки "Отчёты" на странице группы*/
.btn-group {
    vertical-align: top;
}

/* коррекция отображения превью отчёта во всплывающем окне */
#reportPreviewContainer {
    margin: 10px 25px 25px 25px;
    border: 1px solid lightgray;
}


#calculation-form .w2ui-btn {
    float: right;
    right: 20px;
    top: -50px;
}

#calculation-form .w2ui-buttons {
    height: 0px !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

/*#calculation-form-row {
    display: none;
}*/

/* скрытие вертикального скролла в popup удаления */
.w2ui-confirm-msg {
    position: static !important;
    height: 0px;
    margin-top: 15px !important;
}

.w2ui-left {
    margin: 10px;
}



.bold {
    font-weight: 700; 
}

.login-error {
    text-align: center;
    color: red;
    border: none;
}



.w2ui-reset .form-header {
    font-weight: bold;
    color: rgb(102, 102, 102);
    text-align: center;
    margin: 20px;
    padding-top: 10px;
}

.w2ui-reset .form-header.first {
    margin-top: 0px;
}

span.glyphicon {
    font-size: 13px;
}

span.glyphicon-ok-circle {
    color: LimeGreen;
}

span.glyphicon-remove-circle {
    color: Red ;
}

#ReaderStartHourValue {
    width: 26px;
}

.indiv-container .collapsed-content {
    display: none;
    padding: 5px;
}
.indiv-container .collapsed-header {
    background-color: #C54A34;
    text-align:center;
    padding: 2px;
    cursor: pointer;
    color: white;
    font: bold 14px;
}
/*
#ReaderStartHourDescription, #RunReaderLabel {
    width: 270px;
}

#RunReaderLabel {
    margin-right: 50px;
}
.w2ui-grid .w2ui-grid-header {
    background-image: linear-gradient(#F1D3C7, #E2A690);
}
.reader-start-hour {
    float: left;
    
}*/